メインコンテンツへスキップ

データ検証

エンドポイント

環境URL
本番POST https://api.id.unico.app/lists/{cpf}
サンドボックスPOST https://api.id.uat.unico.app/lists/{cpf}
設計上の独立エンドポイント

このエンドポイントは標準のプロセス作成(POST /processes/v1)とは独立しています。決定論的な本人確認結果ではなく、データのリストを提供します。

リクエスト

ヘッダー
ヘッダー
AuthorizationBearer <access_token>認証を参照)
パスパラメーター
パラメーター必須説明
cpfstringはい照会する人物の CPF。
curl -X POST "https://api.id.uat.unico.app/lists/12345678909" \
-H "Authorization: Bearer $TOKEN"

レスポンス

ルートエンベロープ
{
"id": "41c24382-36ce-4bb4-8339-352114f71f78",
"status": 3,
"lists": { }
}
フィールド説明
idstring (UUID)固有のリクエスト識別子。
statusinteger処理ステータス。
listsobject照会されたデータを含むメインペイロード。

`lists.basicData` — 登録データ
{
"basicData": {
"name": "JOAO DA SILVA",
"birthCountry": "BRASILEIRA",
"birthDate": "1990-01-01T00:00:00Z",
"gender": "M",
"motherName": "MARIA DA SILVA",
"fatherName": "",
"maritalStatus": "",
"rgNumber": "",
"rgIssuingAgency": "",
"rgStateCode": "",
"financialData": {
"incomeEstimate": "...",
"totalAssets": "..."
},
"address": {
"addressMain": "AVENIDA DO ESTADO",
"number": "123",
"complement": "ANDAR 1",
"neighborhood": "CENTRO",
"zipCode": "12345678",
"city": "SAO PAULO",
"state": "SP",
"country": "BRASIL",
"type": "WORK"
},
"email": "...",
"phone": "+554799999999"
}
}
フィールド説明
namestringフルネーム。
birthCountrystring出生国。
birthDatestring (ISO 8601)生年月日。
genderstring性別。
motherNamestring母親の名前。
fatherNamestring父親の名前。
maritalStatusstring婚姻状況。
rgNumberstringRG 番号。
rgIssuingAgencystringRG 発行機関。
rgStateCodestringRG 州コード。
financialData.incomeEstimatestring推定収入。
financialData.totalAssetsstring総資産。
emailstringメールアドレス。
phonestring電話番号。

basicData.address:

フィールド説明
addressMainstring通り名。
numberstring番地。
complementstring補足情報。
neighborhoodstring地区。
zipCodestring郵便番号。
citystring市区町村。
statestring州コード。
countrystring国。
typestring住所タイプ(例: WORK)。

`lists.riskData.taxIdValidation` — CPF 検証
{
"taxIdValidation": {
"taxIdStatus": "REGULAR",
"taxIdStatusDate": "...",
"decease": false,
"under18": false
}
}
フィールド説明
taxIdStatusstringCPF 登録ステータス。
taxIdStatusDatestring登録ステータスの日付。
deceaseboolean死亡を示します。
under18boolean18 歳未満を示します。

`lists.riskData.pep` — 政治的に公開された人物
{
"pep": {
"isCurrentlyPep": true,
"records": [
{
"level": "1",
"jobTitle": "SENADOR",
"motive": "FEDERAL EMPLOYEE"
}
],
"hasRelatedPep": true,
"related": [
{
"taxId": "01253069891",
"level": "2",
"jobTitle": "FAMILIAR"
}
]
}
}
フィールド説明
isCurrentlyPepboolean現在 PEP であるかどうか。
recordsarray本人の PEP レコード。
records[].levelstring政治的公開レベル。
records[].jobTitlestring役職。
records[].motivestring分類の動機。
hasRelatedPepbooleanPEP 関連の個人がいるかどうか。
relatedarrayPEP 関連の個人リスト。
related[].taxIdstring関連人物の CPF。
related[].levelstring公開レベル。
related[].jobTitlestring関連人物の役職。

`lists.riskData.aml` — マネーロンダリング対策(制裁)
{
"aml": {
"isSanctioned": true,
"records": [
{
"type": "Law Enforcement",
"source": "interpol",
"standardizedType": "ARREST WARRANTS",
"endDate": "..."
}
],
"hasRelatedSanctioned": false,
"relatedRecords": []
}
}
フィールド説明
isSanctionedboolean制裁対象であるかどうか。
recordsarray本人の制裁情報。
records[].typestring制裁タイプ。
records[].sourcestring制裁の出所。
records[].standardizedTypestring標準化されたタイプ。
records[].endDatestring終了日。
hasRelatedSanctionedboolean制裁対象の関連個人がいるかどうか。
relatedRecordsarray関連個人の制裁情報。

`lists.riskData.sportsRelationship` — スポーツ賭博との関係
{
"sportsRelationship": {
"hasSportsRelationship": false,
"isCurrentlyAthlete": false,
"isCurrentlySportsCoach": false,
"isCurrentlySportsClubDirector": false,
"isCurrentlyReferee": false,
"isCurrentlyRelatedToFinanceMinistry": false,
"isCurrentlyBettingCompanyOwner": false,
"sportsRelationshipMotive": "",
"sportExposures": []
}
}
フィールド説明
hasSportsRelationshipbooleanスポーツとの関係があるかどうか。
isCurrentlyAthleteboolean現役アスリートであるかどうか。
isCurrentlySportsCoachboolean現役コーチであるかどうか。
isCurrentlySportsClubDirectorboolean現役クラブディレクターであるかどうか。
isCurrentlyRefereeboolean現役審判員であるかどうか。
isCurrentlyRelatedToFinanceMinistryboolean財務省との関係があるかどうか。
isCurrentlyBettingCompanyOwnerboolean賭博会社のオーナーであるかどうか。
sportsRelationshipMotivestring関係の動機。
sportExposuresarray詳細なスポーツ公開情報。

sportExposures[]:

フィールド説明
sportNamestringスポーツ名。
regionstring活動地域。
totalRelatedEntitiesinteger関連エンティティの総数。
relationshipLevelstring関係レベル。
endDatestring終了日。

エラーコード

コードメッセージ説明
99989The document is invalid.CPF が無効な場合。